Bug 21569 - radeon-rewrite r200: Incorrect clear color
radeon-rewrite r200: Incorrect clear color
Product: DRI
Classification: Unclassified
Component: DRM/Radeon
DRI git
Other All
: medium normal
Assigned To: Default DRI bug account
Depends on:
  Show dependency treegraph
Reported: 2009-05-05 10:19 UTC by Stefan Dösinger
Modified: 2009-05-28 01:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Dösinger 2009-05-05 10:19:46 UTC
The clear color in the r200 driver in the radeon rewrite branch is wrong. Since patch f616995e5ed56745c4470b2ca5aeeb8d89a8c9db it is always black. Before that patch, the red and blue channel were swapped(ie, glClearColor(1.0, 0.0, 0.0, 0.0) cleared the color buffer with a solid blue).

I have reproduced this in all Direct3D 8 sdk samples(running in Wine, as usual), but I think it should be visible in any app where the clear background is visible. The mfcfog example is comfortable for testing this because it clears the back buffer with a configurable color.
Comment 1 Jerome Glisse 2009-05-20 04:26:25 UTC
Fixed with 8308bf9ee155b405ad42e6621daf33a108330418, note that there are still other issues (for instance dinoshade example of mesa will exhibit them) working on it. Closing this bug.
Comment 2 Stefan Dösinger 2009-05-20 14:47:34 UTC
The background color in etracer works now, thanks!

Unfortunately the clear color in the DX8 fog sample is still black, instead of the selected fog color(the demo clears the back buffer with the color it uses for fog before drawing). I'll file another bug that concerns these SDK samples and add some download instructions.

The problem does not occur in every app that is run with Wine. The Wine regression tests clear correctly.
Comment 3 Stefan Dösinger 2009-05-20 15:06:47 UTC
I posted details about the DX8 sdk samples in bug 21842.
Comment 4 Stefan Dösinger 2009-05-22 04:34:17 UTC
This bug seems to have fixed itself together with bug 21842. Maybe there is some uninitialized variable somewhere :-/.
Comment 5 Jerome Glisse 2009-05-28 01:51:50 UTC
Mark as fixed